package com.sifang.modules.esign.query;

public class EnterpriseSignature {

    //创建机构账号的唯一标识。可将企业证件号、企业邮箱地址等作为此账号的唯一标识。
    private String thirdPartyUserId;

    //机构名称
    private String name;

    /**
     * CRED_ORG_USCC 统一社会信用代码
     * CRED_ORG_REGCODE 工商注册号
    */
    private String idType; //证件类型，默认CRED_ORG_USCC

    //企业证件号，需传入真实存在的证件信息
    private String idNumber;

    //法定代表人证件号
    private String orgLegalIdNumber;

    //法定代表人名称
    private String orgLegalName;

    private String creator;

    public String getThirdPartyUserId() {
        return thirdPartyUserId;
    }

    public void setThirdPartyUserId(String thirdPartyUserId) {
        this.thirdPartyUserId = thirdPartyUserId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getIdType() {
        return idType;
    }

    public void setIdType(String idType) {
        this.idType = idType;
    }

    public String getIdNumber() {
        return idNumber;
    }

    public void setIdNumber(String idNumber) {
        this.idNumber = idNumber;
    }

    public String getOrgLegalIdNumber() {
        return orgLegalIdNumber;
    }

    public void setOrgLegalIdNumber(String orgLegalIdNumber) {
        this.orgLegalIdNumber = orgLegalIdNumber;
    }

    public String getOrgLegalName() {
        return orgLegalName;
    }

    public void setOrgLegalName(String orgLegalName) {
        this.orgLegalName = orgLegalName;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }
}
